<?php
/**
 * Content Template
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="ifp-post-container">
		<?php
		if ( is_home() ) {		
			
			cyberchimps_featured_image();
			
			$class = '';
			
			//To check first post and has featured image 
			if( charitypure_ifp_first_post() ){
				$show = ( get_theme_mod( 'post_featured_images', 1 ) ) ? get_theme_mod( 'post_featured_images', 1 ) : false;
				$featured = has_post_thumbnail();
				if( $show && $featured ){
					$class = "ifp-show-content-featured";
				}else{
					$class = "ifp-no-content-featured";
				}
			}
			

			?>
			<div class="ifp-post-content-container <?php echo $class; ?>">
				<div class="ifp-post-content-subcontainer">
					<div class="entry-meta">
						<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
							<?php cyberchimps_posted_on(); ?>
							<?php cyberchimps_posted_by(); ?>
							<?php cyberchimps_posted_in() ?>
							<?php cyberchimps_post_tags(); ?>

						<?php endif; // End if 'post' == get_post_type() ?>

						<?php 
							add_filter('cyberchimps_entry_meta_sep','charitypure_ifp_comments_meta_sep');
							cyberchimps_post_comments();
							remove_filter('cyberchimps_entry_meta_sep', 'charitypure_ifp_comments_meta_sep');
						?>

					</div><!-- #entry-meta -->

		<?php } ?>

			<header class="entry-header">

				<?php cyberchimps_post_format_icon(); ?>

				<?php echo ( !is_page() && !is_single() ) ? '<h2 class="entry-title">' : ''; ?>
					
						<?php if ( !is_page() && !is_single() ) { ?>
							<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'charitypure' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php ( get_the_title() )? the_title() : the_permalink(); ?></a>
						<?php } ?>

				<?php echo ( !is_page() && !is_single() ) ? '</h2>' : ''; ?>

				<?php if ( 'post' == get_post_type() && ! is_home() ) :
					$show_date = ( get_theme_mod( 'single_post_byline_date', 1 ) ) ? get_theme_mod( 'single_post_byline_date', 1 ) : false;
					$show_author = ( get_theme_mod( 'single_post_byline_author', 1 ) ) ? get_theme_mod( 'single_post_byline_author', 1 ) : false;
					if( $show_date || $show_author ){
						?>
						<div class="entry-meta">
							<?php cyberchimps_posted_on(); ?>
							<?php cyberchimps_posted_by(); ?>
						</div><!-- .entry-meta -->
						<?php 					
					}
				
					endif; ?>
			</header><!-- .entry-header -->

			<?php if ( is_single() ) : ?>

				<div class="entry-content clearfix">
					<?php cyberchimps_featured_image(); ?>
					<?php the_content( __( 'Continue reading', 'charitypure' ) . ' <span class="meta-nav">&rarr;</span>' ); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'charitypure' ), 'after' => '</div>' ) ); ?>
				</div><!-- .entry-content -->

			<?php elseif( is_search() ): ?>	

				<div class="entry-summary clearfix">
					<?php cyberchimps_featured_image(); ?>
					<?php add_filter( 'excerpt_more', 'cyberchimps_search_excerpt_more', 999 ); ?>
					<?php add_filter( 'excerpt_length', 'cyberchimps_search_excerpt_length', 999 ); ?>
							<?php the_excerpt(); ?>
					<?php remove_filter( 'excerpt_length', 'cyberchimps_search_excerpt_length', 999 ); ?>
					<?php remove_filter( 'excerpt_more', 'cyberchimps_search_excerpt_more', 999 ); ?>
				</div><!-- .entry-summary -->

			<?php elseif( is_archive() ): ?>

				<?php if( get_theme_mod( 'archive_post_excerpts', 0 ) ): ?>
					<div class="entry-summary clearfix">
								<?php cyberchimps_featured_image(); ?>
								<?php the_excerpt(); ?>
					</div>
				<?php else: ?>
						<div class="entry-content clearfix">
							<?php cyberchimps_featured_image(); ?>
							<?php the_content( __( 'Continue reading', 'charitypure' ) . ' <span class="meta-nav">&rarr;</span>' ); ?>
							<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'charitypure' ), 'after' => '</div>' ) ); ?>
						</div><!-- .entry-content -->
				<?php endif; ?>

			<?php elseif( is_page() ): ?>
				<div class="entry-content clearfix">
					<?php cyberchimps_featured_image(); ?>
					<?php the_content(); ?>
				</div><!-- .entry-summary -->

			<?php else :// blog post pages ?>

				<?php if( get_theme_mod( 'post_excerpts', 0 ) ): ?>
					<div class="entry-summary clearfix">
					<?php the_excerpt(); ?>
				  </div>
				<?php else:
					if( charitypure_ifp_first_post() ){ ?>
						<div class="entry-summary clearfix">
							
							<?php the_excerpt(); ?>
						</div><?php 
					}else{					
					?>
						<div class="entry-content">
							<?php cyberchimps_featured_image(); ?>
							<?php the_content( __( 'Continue reading', 'charitypure' ) . ' <span class="meta-nav">&rarr;</span>' ); ?>
							<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'charitypure' ), 'after' => '</div>' ) ); ?>
						</div><!-- .entry-content -->
				<?php 
					}
				endif; ?>

			<?php endif; ?>
			<?php if ( !is_home() ) { ?>

				<footer class="entry-meta">
					<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>

							<?php cyberchimps_posted_in() ?>

							<?php cyberchimps_post_tags(); ?>
					
							<?php cyberchimps_post_comments(); ?>
					<?php endif; // End if 'post' == get_post_type() ?>

					<?php edit_post_link( __( 'Edit', 'charitypure' ), '<span class="edit-link">', '</span>' ); ?>

				</footer><!-- #entry-meta -->
			<?php } ?>
			<?php if ( is_home() ) { ?>
			</div>
		</div>
			<?php
		} ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
